Skip to content

Updating a tax exemption

Upvest provides the functionality to change existing tax exemptions via the following endpoint:

PUT /tax_exemptions/{tax_exemption_id}

Path parameterDescriptionExample value
tax_exemption_idRequired: The identifier for the tax exemption that is to be changed.f1a57a04-1a89-4dab-ae3a-ff9b2a9377c1

Example

{
  "user_ids": [
    "70fd317b-81e1-4f21-9f7e-3b5cb4dfe686"
  ],
  "tax_exemption_details": {
    "tax_exemption_type": "SINGLE",
    "tax_exemption_amount": {
      "currency": "EUR",
      "amount": "955"
    }
  },
  "country": "DE",
  "valid_to_date": "2026-12-31"
}

In this example, the tax exemption amount has been reduced to €955.00 and the expiry date is valid until 2024.

When submitting the request, send the full tax_exemption_details object.

Reductions are accepted as long as the new amount is greater than or equal to the amount already utilised by the end users, while increases are accepted up to the legally defined amount.